Summary: Server daemons for IMAP and POP network mail protocols.
Name: imap
Version: 4.5
Release: 3mdir4
Copyright: BSD
Group: System Environment/Daemons
Source: ftp://ftp.cac.washington.edu/mail/imap-%{version}.tar.Z
Source1: imap.pamd
Patch0: imap-4.5-linux.patch
Patch1: imap-4.4-vfs.patch
Patch2: imap-4.5-redhat.patch
Patch3: imap-4.5-maildir980721.drhfu.patch
Patch4: imap-4.5-createproto.patch
Patch5: imap-4.5-qmail.patch
Patch6: imap-4.5-mdirlist.patch
Patch7: imap-4.5-maildir980721-rename.patch
Patch8: imap-4.5-maildir980721-delete.patch
Patch9: imap-4.5-man.patch
Buildroot: /var/tmp/imap-root
Requires: pam >= 0.59

%package devel
Summary: Libraries, includes, etc to develop IMAP applications
Group: System/Library

%description
The imap package provides server daemons for both the IMAP (Internet
Message Access Protocol) and POP (Post Office Protocol) mail access
protocols.  The POP protocol uses a "post office" machine to collect mail
for users and allows users to download their mail to their local machine
for reading. The IMAP protocol provides the functionality of POP, but
allows a user to read mail on a remote machine without downloading it to
their local machine.

Install the imap package if you need a server to support the IMAP or the
POP mail access protocols.

This server has been patched with a maildir driver available from
http://www.freeit.com/mta/ and additional maildir fixups on top
of the driver available from http://www.davideous.com/imap-maildir/

IMPORTANT CHANGE: This server _does not_ look for mail in 
/var/spool/mail/$USER anymore, but looks for it in the files Mailbox
and then Maildir in the user's home directory.


%description devel
Libraries, include files, etc to develop POP/IMAP applications


%prep

%setup -q
%patch0 -p1 -b .linux
%patch1 -p1 -b .vfs
%patch2 -p1 -b .redhat
%patch3 -p1 -b .mdirp
%patch4 -p1 -b .cproto
%patch5 -p1 -b .qmail
%patch6 -p1 -b .list
%patch7 -p1 -b .rename
%patch8 -p1 -b .delete
%patch9 -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" lnp
## create a shared library
#gcc -shared -Wl,-soname,libimap.so c-client/*.o -o libimap.so.%{version}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
install -m 644 ./src/ipopd/ipopd.8c $RPM_BUILD_ROOT/usr/man/man8/ipopd.8c
install -m 644 ./src/imapd/imapd.8c $RPM_BUILD_ROOT/usr/man/man8/imapd.8c
mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -s -m 755 ./ipopd/ipop2d $RPM_BUILD_ROOT/usr/sbin
install -s -m 755 ./ipopd/ipop3d $RPM_BUILD_ROOT/usr/sbin
install -s -m 755 ./imapd/imapd $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m 644 ${RPM_SOURCE_DIR}/imap.pamd $RPM_BUILD_ROOT/etc/pam.d/imap
install -m 644 ${RPM_SOURCE_DIR}/imap.pamd $RPM_BUILD_ROOT/etc/pam.d/pop
## Install the shared lib
#install -m 755 libimap.so.%{version} $RPM_BUILD_ROOT/usr/lib
#ln -sf libimap.so.%{version} $RPM_BUILD_ROOT/usr/lib/libimap.so

# install the library for the devel package
mkdir -p $RPM_BUILD_ROOT/usr/include/imap
install -m 644 ./src/c-client/{mail.h,rfc822.h} $RPM_BUILD_ROOT/usr/include/imap
install -m 644 ./c-client/linkage.h $RPM_BUILD_ROOT/usr/include/imap
mkdir -p $RPM_BUILD_ROOT/usr/lib
install -m 755 ./c-client/c-client.a $RPM_BUILD_ROOT/usr/lib/libimap.a


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/pam.d/imap
%config /etc/pam.d/pop
/usr/man/man8/ipopd.8c
/usr/man/man8/imapd.8c
%attr(0755,root,mail)	/usr/sbin/ipop2d
%attr(0755,root,mail)	/usr/sbin/ipop3d
%attr(0755,root,mail)	/usr/sbin/imapd
%doc README
#/usr/lib/libimap*

%files devel
/usr/include/imap
/usr/lib/libimap.a

%changelog
* Thu Aug 26 1999 David Harris <dharris@drh.net>
- added devel sub package with library files required for developing
  IMAP applications, such as PHP3
- added imap-4.5-man.patch

* Tue Aug 17 1999 David Harris <dharris@drh.net>
- fixed folder delete problem in maildir driver with the
  imap-4.5-maildir980721-delete.patch patch. (Thanks to
  Dan Boala <dboala@terranet.ro> for showing me the problem.)

* Sun Jun 27 1999 David Harris <dharris@drh.net>
- fixed folder rename problem in maildir driver with the
  imap-4.5-maildir980721-rename.patch patch. (Thanks to
  matteo <matteo@ibm.net> for showing me the problem.)

* Thu Jun 17 1999 David Harris <dharris@drh.net>
- added in maildir support
- now looks for mail in ~/Mailbox and then ~/Maildir
- not sure what to do with version/name, so this is now
  imap-4.5-3mdir1 (think imap-4.5-3 mdir patch one)

* Fri Apr 09 1999 Cristian Gafton <gafton@redhat.com>
- ipop3d service name was changed to "pop" now. Clearly somebody that hasn't
  got a clue about PAM stuff is messing around with the source.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Sat Mar 13 1999 Cristian Gafton <gafton@redhat.com>
- verson 4.5
- loose the noflock patch

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- added a -vfs patch because sys/statvfs on glibc 2.1 is different from what
  is available on the sun...
- build against glibc 2.1

* Fri Sep 11 1998 Jeff Johnson <jbj@redhat.com>
- use only fcntl locking.

* Thu Sep 10 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.4.
- removed g+s bit to imapd.

* Wed Jul 22 1998 Jeff Johnson <jbj@redhat.com>
- updated to 4.2.
- added g+s bit to imapd so that lock files can be created.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- Updated to the latest imap as of today...

* Wed Dec 10 1997 Cristian Gafton <gafton@redhat.com>
- Updated to the latest imap as of today...
- Updated the pam patch to reflect the new directory organization

* Thu Oct 23 1997 Michael K. Johnson <johnsonm@redhat.com>
- Fix patch for new PAM spec compliance.

* Thu Oct 02 1997 Michael K. Johnson <johnsonm@redhat.com>
- Comply with change in PAM spec.
- Use a buildroot.

* Mon Mar 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- Moved from pam.conf to pam.d

* Mon Mar 03 1997 Erik Troan <ewt@redhat.com>
- Fixed buffer overrun in server_login().
